%funcdesc = (
'ABORT', 'Quit w3m without confirmation',
'ADD_BOOKMARK', 'Add current page to bookmark',
'ALARM', 'Set alarm',
'BACK', 'Back to previous buffer',
'BEGIN', 'Go to the first line',
'BOOKMARK', 'Read bookmark',
'CENTER_H', 'Move to the center line',
'CENTER_V', 'Move to the center column',
'CHGDIR', 'Change working directory',
'COMMAND', 'Execute w3m command(s)',
'COOKIE', 'View cookie list',
'DEFINE_KEY', 'Define a binding between a key stroke and a user command',
'DELETE_PREVBUF', 'Delete previous buffer (mainly for local-CGI)',
'DICT_WORD', 'Execute dictionary command (see README.dict)',
'DICT_WORD_AT', 'Execute dictionary command for word at cursor',
'DICT_REGION', 'Execute dictionary command for string between mark and cursor (both inclusive)',
'DISPLAY_IMAGE', 'Restart loading and drawing of images',
'DOWN', 'Scroll down one line',
'DOWNLOAD', 'Save document source to file',
'E:BS', 'Line edit function: delete character at left of cursor',
'E:BSW', 'Line edit function: delete word at left of cursor',
'E:COPYREGION', 'Line edit function: insert string between mark and cursor (both inclusive) of current buffer',
'E:COMPL', 'Line edit function: do completion ',
'E:DELC', 'Line edit function: delete character at right of cursor',
'E:DELW', 'Line edit function: delete word at right of cursor',
'E:ENTER', 'Line edit function: exit editing and accept contents',
'E:ESC', 'Line edit function: start escape sequence',
'E:INBRK', 'Line edit function: exit editing and discard contents',
'E:KILLB', 'Line edit function: kill line backward',
'E:KILLN', 'Line edit function: kill line',
'E:MVB', 'Line edit function: move cursor to beginning of line',
'E:MVE', 'Line edit function: move cursor to end of line',
'E:MVL', 'Line edit function: move cursor for one character left',
'E:MVLW', 'Line edit function: move cursor for one word left',
'E:MVR', 'Line edit function: move cursor for one character right',
'E:MVRW', 'Line edit function: move cursor for one word right',
'E:NEXT', 'Line edit function: get next content of history',
'E:NEXTC', 'Line edit function: dispatcher for function bound to multistroke',
'E:PREV', 'Line edit function: get previous content of history',
'E:QUO', 'Line edit function: quote next character',
'E:TCOMPL', 'Line edit function: toggle completion',
'EDIT', 'Edit current document',
'EDIT_SCREEN', 'Edit currently rendered document',
'END', 'Go to the last line',
'ERROR_LOG', 'View output to stderr (including that of subprocess)',
'EXEC_SHELL', 'Execute shell command',
'EXIT', 'Quit w3m without confirmation',
'EXTERN', 'Execute external browser',
'EXTERN_LINK', 'View current link using external browser',
'FOREVER', 'Keep trying to load document even if EOF is reached',
'FRAME', 'Render and view frame set on multiple window',
'FRAME_VIEW', 'Render and view frame set as table on single window',
'GOTO', 'Go to URL',
'GOTO_LINE', 'Go to specified line',
'GOTO_LINK', 'Go to current link',
'GOTO_RELATIVE', 'Go to relative URL',
'GOTO_XY', 'Go to specified place in screen',
'HELP', 'View help',
'HISTORY', 'View history of URL',
'INFO', 'View info of current document',
'INTERRUPT', 'Stop loading document',
'ISEARCH_BACK', 'Incremental search backward',
'ISEARCH_FORE', 'Incremental search forward',
'LEFT', 'Shift screen one column',
'LINE_BEGIN', 'Go to the beginning of line',
'LINE_END', 'Go to the end of line',
'LINE_INFO', 'Show current line number',
'LINK_BEGIN', 'Go to the first link',
'LINK_END', 'Go to the last link',
'LOAD', 'Load local file',
'M:NEXTCHAR', 'Menu function: dispatcher for function bound to multistroke',
'M:ESC', 'Menu function: start escape sequence',
'M:SELECT', 'Menu function: select an item',
'M:DOWN', 'Menu function: goto next item',
'M:UP', 'Menu function: goto prev item',
'M:LAST', 'Menu function: goto last item ',
'M:TOP', 'Menu function: goto top item',
'M:NEXT', 'Menu function: goto next page item',
'M:PREV', 'Menu function: goto previous page item',
'M:FORE', 'Menu function: scroll menu forward',
'M:BACK', 'Menu function: scroll menu backward',
'M:OK', 'Menu function: accept selection',
'M:CANCEL', 'Menu function: cancel selection',
'M:CLOSE', 'Menu function: close menu',
'M:SUSP', 'Menu function: suspend w3m and then resume',
'M:POSITIONAL', 'Menu function: do position dependent operation (intended to bound to mouse event)',
'M:SRCHF', 'Menu function: search forward in menu',
'M:SRCHB', 'Menu function: search backward in menu',
'M:SRCHN', 'Menu function: search next regexp',
'M:SRCHP', 'Menu function: search previous regexp',
'M:DELBUF', 'Menu function: delete selecte buffer (works only in buffer selection menu)',
'M:UP_MENU', 'Menu function: move menu one line up',
'M:DOWN_MENU', 'Menu function: move menu one line down',
'M:LEFT_MENU', 'Menu function: move menu one column left',
'M:RIGHT_MENU', 'Menu function: move menu one column right',
'M:MOVE_MENU', 'Menu function: move menu to specified place',
'MAIN_MENU', 'Popup menu',
'MARK', 'Set/unset mark',
'MARK_MID', 'Mark Message-ID-like strings as anchors',
'MARK_REGION', 'Mark string between mark and cursor (both inclusive) as anchor',
'MARK_URL', 'Mark URL-like strings as anchors',
'MARK_WORD', 'Mark current word as anchor',
'MENU', 'Popup menu',
'MOUSE_TOGGLE', 'Toggle activity of mouse',
'MOVE_DOWN', 'Move cursor down (a half screen scroll at the end of screen)',
'MOVE_LEFT', 'Move cursor left (a half screen shift at the left edge)',
'MOVE_RIGHT', 'Move cursor right (a half screen shift at the right edge)',
'MOVE_UP', 'Move cursor up (a half screen scroll at the top of screen)',
'MSGS', 'Display error messages',
'NEVERMORE', 'Stop FOREVER mode',
'NEXT', 'Move to next buffer',
'NEXT_CHAR', 'Dispatcher for function bound to multistroke',
'NEXT_DOWN', 'Move to next downward link ',
'NEXT_FRAME', 'Move to next frame',
'NEXT_LEFT', 'Move to next left link ',
'NEXT_LEFT_UP', 'Move to next left (or upward) link ',
'NEXT_LINK', 'Move to next link',
'NEXT_MARK', 'Move to next word',
'NEXT_PAGE', 'Move to next page',
'NEXT_RIGHT', 'Move to next right link ',
'NEXT_RIGHT_DOWN', 'Move to next right (or downward) link ',
'NEXT_UP', 'Move to next upward link ',
'NEXT_WORD', 'Move to next word',
'NOTHING', 'Do nothing',
'NULL', 'Do nothing',
'OPTIONS', 'Option setting panel',
'PEEK', 'Peek current URL',
'PEEK_IMG', 'Peek image URL ',
'PEEK_LINK', 'Peek link URL',
'PHYS_NEXT_LINK', 'Move to physically closest next link',
'PHYS_PREV_LINK', 'Move to physically closest previous link',
'PIPE_BUF', 'Send rendered document to pipe',
'PIPE_SHELL', 'Execute shell command and browse',
'PREV', 'Move to previous buffer',
'PREV_FRAME', 'Move to previous frame',
'PREV_LINK', 'Move to previous link',
'PREV_MARK', 'Move to previous mark',
'PREV_PAGE', 'Move to previous page',
'PREV_WORD', 'Move to previous word',
'PRINT', 'Save buffer to file',
'PROCESS_LIST', 'Show list of all subprocesses',
'QUIT', 'Quit w3m',
'READ_SHELL', 'Execute shell command and load',
'REDRAW', 'Redraw screen',
'REG_MARK', 'Set mark using regexp',
'REINIT', 'Re-read various configuration files (config, mailcap, mime.types, etc.)',
'RELOAD', 'Reload buffer',
'RELOAD_VIEW', 'Reload all the contents in root window',
'REPLACE', 'Replace Currentbuf with new buffer for specified URL',
'RERENDER', 'Re-render buffer from cached source',
'RESET_AE', 'Reset default AcceptEncoding',
'RIGHT', 'Shift screen one column right',
'SAVE', 'Save document source to file',
'SAVE_IMAGE', 'Save image to file',
'SAVE_LINK', 'Save link to file',
'SAVE_SCREEN', 'Save rendered document to file',
'SAVE_URL', 'Save specified URL to file',
'SCREEN_TOP', 'Goto top of screen',
'SCREEN_BOTTOM', 'Goto bottom of screen',
'SCROLL_XY', 'Scroll screen up or down, and left or right',
'SEARCH', 'Search forward',
'SEARCH_BACK', 'Search backward',
'SEARCH_FORE', 'Search forward',
'SEARCH_NEXT', 'Search next regexp',
'SEARCH_PREV', 'Search previous regexp',
'SELECT_MENU', 'Popup buffer selection menu',
'SETENV', 'Set environment variable',
'SET_OPTION', 'Set option',
'SHELL', 'Execute shell command',
'SHIFT_LEFT', 'Shift screen left',
'SHIFT_RIGHT', 'Shift screen right',
'SOURCE', 'View HTML source',
'STOP_IMAGE', 'Stop loading and drawing of images',
'SUBMIT', 'Submit form',
'SUSPEND', 'Stop loading document',
'UP', 'Scroll up one line',
'VERSION', 'Display version of w3m',
'VIEW', 'View HTML source',
'VIEW_BOOKMARK', 'View bookmark',
'VIEW_IMAGE', 'View image',
'WHEREIS', 'Search forward',
'WRAP_TOGGLE', 'Toggle wrap search mode',
);

1;
